2008年6月13日の投稿

2008-06-13
晴れ

Ktai Style 次バージョンは 1.40 にします

ゆりこ による 19:21:55 の投稿
カテゴリー: WordPressハック
タグ:

以前、「次期 Ktai Style の管理機能は WordPress 2.3 以降対応にする」という方針を発表しましたが、それを変更して、1.xx 系列では WordPress 2.2 以降対応とすることにしました。このため、次のバージョンは 1.40 とします。

次期メジャーバージョン (2.0.0) では、通常のウェブログ閲覧でもログインした状態を維持できることを検討していますが、そのためには、従来のログイン機構 (URL にセッション ID をつける) をやめて、クッキー対応端末 (au, SoftBank 3G, emobile, WILLCOM, スマートフォン等) はそれを利用し、ドコモ (クッキー非対応) では iモードID利用 (URL に guid=ON を付ける) とします。そして、もう1つのクッキー非対応端末である SoftBank 6-3 シリーズ (PDC 端末) は、管理機能のサポート外とします。「SoftBank 6-3 シリーズを管理機能の対応外とする」ためには、1.xx バージョンはブランチを切ってサポートを維持する必要がありますが、ブランチを複数切りたくないため、1.50 でWordPress 2.2 対応をやめるのは見送ることにしました。

実は、現在制作中の 1.50 テスト版を WordPress 2.2 に対応させるのは、さほど難しくありません。ブランチを複数切ってメンテナンスする手間よりは楽そうです。

バージョン 1.40 は 1.50 テスト版をちょっと修正して、まずはベータ版を出してみる予定です。

Ktai Style 1.40-beta1 配布

ゆりこ による 23:13:22 の投稿
カテゴリー: WordPressハック
タグ: , ,

Ktai Style 1.xx 系統は WordPress 2.2 対応にすることにしました。そこで、1.50 テスト版その4を WordPress 2.2 対応とした 1.40-beta1 を配布します。変更点は以下の通りです。

  • 管理機能を WordPress ME 2.2.x 対応に戻しました。
  • ウィルコムの IP アドレス帯域追加に対応しました。
ダウンロード: ktai_style140-beta1.tar.bz2 (233.5KB)
正式版バージョン 1.40 をリリースしました。

1.3x 系統をブランチを切って残さないことにしたので、バージョン番号は 1.50 じゃなくて 1.40 としました。1.50 テスト版その4からは、WordPress 2.2 対応にするため、新規投稿/投稿編集でのカテゴリー変更機能に手が入っています。お試しされる方はそのへんに注意してもらえると幸いです。